#!/usr/bin/env python
import pygame
from pygame.locals import *
import sys

# corsor.pyの読み込み
import cursor

SCR_RECT = Rect(0, 0, 640, 480)

class Main():
    def __init__(self):
        pygame.init()
        pygame.display.set_caption("sample")
        screen = pygame.display.set_mode(SCR_RECT.size)

        self.font = pygame.font.Font("data/minamoji04.ttf", 80)
        self.text = self.font.render("留年", True, (255, 255, 255))

        self.image = pygame.image.load("data/rabipple.png")

        # Cursorを作成
        self.cursor = cursor.Cursor(45, 260, (255, 255, 255))

        clock = pygame.time.Clock()
        while True:
            clock.tick(30)
            self.update()
            self.draw(screen)
            pygame.display.update()
            self.key_handler()

    def update(self):
        # Cursorの更新
        self.cursor.update()

    def draw(self, screen):
        screen.fill((0, 0, 0))

        screen.blit(self.text, (120, 240))
        screen.blit(self.image, (360, 80))

        # Cursorの描画
        self.cursor.draw(screen)

    def key_handler(self):
        for event in pygame.event.get():
            if event.type == QUIT:
                pygame.quit()
                sys.exit()

if __name__ == "__main__":
    Main()
